const {GateDevice, Directions} = require('@stargate-system/device');

GateDevice.setName('Weather Station');

const temperature = GateDevice.factory.createFloat(Directions.output);
temperature.valueName = 'Temperature';
temperature.setValue(14);

const humidity = GateDevice.factory.createInteger(Directions.output);
humidity.valueName = 'Humidity (%)';
humidity.setRange([0, 100]);
humidity.setValue(82);

GateDevice.start();
