"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const controlPanel_1 = __importDefault(require("./src/controlPanel"));
const controller_1 = __importDefault(require("./src/controller"));
const controller_2 = require("./src/controller");
const model_1 = require("./src/model");
controlPanel_1.default.mainSwitch.onRemoteUpdate = () => {
    if (controlPanel_1.default.mainSwitch.value) {
        controller_1.default.startHeating();
    }
    else {
        controller_1.default.stopHeating();
    }
};
model_1.model.onModelChange = controller_1.default.onModelChange;
model_1.model.thermometer.onTemperatureChange = controller_1.default.onTemperatureChange;
controlPanel_1.default.setpoint.onRemoteUpdate = controller_1.default.onTemperatureChange;
controlPanel_1.default.systemState.setValue(controller_1.default.isSystemReady() ? controller_2.systemStates.ready : controller_2.systemStates.notReady);
