import controlPanel from "./src/controlPanel";
import controller from "./src/controller";
import { systemStates } from "./src/controller";
import { model } from "./src/model";

controlPanel.mainSwitch.onRemoteUpdate = () => {
    if (controlPanel.mainSwitch.value) {
        controller.startHeating();
    } else {
        controller.stopHeating();
    }
}
model.onModelChange = controller.onModelChange;
model.thermometer.onTemperatureChange = controller.onTemperatureChange;
controlPanel.setpoint.onRemoteUpdate = controller.onTemperatureChange;
controlPanel.systemState.setValue(controller.isSystemReady() ? systemStates.ready : systemStates.notReady);