const {GateDevice, Directions} = require('@stargate-system/device');

GateDevice.setName('Dimmer');

const brightness = GateDevice.factory.createInteger(Directions.input);
brightness.valueName = 'Brightness';
brightness.setRange([0,100]);
brightness.onRemoteUpdate = () => {
    state.setValue(!!brightness);
}

const state = GateDevice.factory.createBoolean(Directions.input);
state.valueName = 'State';
state.labelTrue = 'On';
state.labelFalse = 'Off';

GateDevice.start();
